Nimbu Developer Docs
ReferenceBlogs

List blogs

GET
/blogs

Returns all blogs on the site with their metadata and publishing status.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Response Body

application/json

curl -X GET "https://example.com/blogs"
[
  {
    "id": "string",
    "url": "http://example.com",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "header": {},
    "public_url": "http://example.com",
    "slug": "string",
    "fullpath": "string",
    "name": "string",
    "description": "string",
    "seo_title": "string",
    "seo_description": "string",
    "seo_keywords": "string",
    "customizations": [
      {}
    ]
  }
]
Empty